## GtkPlotSegment GtkPlotSegment |

## Functions

GtkWidget * | gtk_plot_segment_new ()
void | gtk_plot_segment_set_relative ()
gboolean | gtk_plot_segment_relative ()
void | gtk_plot_segment_set_arrow ()
void | gtk_plot_segment_get_arrow ()
void | gtk_plot_segment_set_arrow_mask ()
guint | gtk_plot_segment_get_arrow_mask ()
void | gtk_plot_segment_center ()
gboolean | gtk_plot_segment_is_centered ()

## Properties

gint | arrow-mask | Read / Write
gboolean | centered | Read / Write
gint | length | Read / Write
gboolean | relative | Read / Write
gint | style | Read / Write
gint | width | Read / Write

## Types and Values

struct | GtkPlotSegment
enum | GtkPlotArrow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPlotData
                        ╰── GtkPlotSegment

## Implemented Interfaces

GtkPlotSegment implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: need long description

## Functions

### gtk_plot_segment_new ()

    GtkWidget *
    gtk_plot_segment_new (void);

### gtk_plot_segment_set_relative ()

    void
    gtk_plot_segment_set_relative (GtkPlotSegment *segment,
                                   gboolean set);

#### Parameters

segment | a GtkPlotSegment widget. |

### gtk_plot_segment_relative ()

    gboolean
    gtk_plot_segment_relative (GtkPlotSegment *segment);

#### Parameters

segment | a GtkPlotSegment widget. |

### gtk_plot_segment_set_arrow ()

    void
    gtk_plot_segment_set_arrow (GtkPlotSegment *segment,
                                gint arrow_length,
                                gint arrow_width,
                                GtkPlotSymbolStyle arrow_style);

#### Parameters

segment | a GtkPlotSegment widget. |

### gtk_plot_segment_get_arrow ()

    void
    gtk_plot_segment_get_arrow (GtkPlotSegment *segment,
                                gint *arrow_length,
                                gint *arrow_width,
                                GtkPlotSymbolStyle *arrow_style);

#### Parameters

segment | a GtkPlotSegment widget. |

### gtk_plot_segment_set_arrow_mask ()

    void
    gtk_plot_segment_set_arrow_mask (GtkPlotSegment *segment,
                                     GtkPlotArrow mask);

#### Parameters

segment | a GtkPlotSegment widget. |

### gtk_plot_segment_get_arrow_mask ()

    guint
    gtk_plot_segment_get_arrow_mask (GtkPlotSegment *segment);

#### Parameters

segment | a GtkPlotSegment widget. |

### gtk_plot_segment_center ()

    void
    gtk_plot_segment_center (GtkPlotSegment *segment,
                             gboolean center);

#### Parameters

segment | a GtkPlotSegment widget. |

### gtk_plot_segment_is_centered ()

    gboolean
    gtk_plot_segment_is_centered (GtkPlotSegment *segment);

#### Parameters

segment | a GtkPlotSegment widget. |

## Types and Values

### struct GtkPlotSegment

    struct GtkPlotSegment;

The GtkPlotSegment struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotArrow

#### Members

GTK_PLOT_ARROW_NONE |  |
GTK_PLOT_ARROW_ORIGIN |  |
GTK_PLOT_ARROW_END |  |

## Property Details

### The `“arrow-mask”` property

      “arrow-mask”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“centered”` property

      “centered”                 gboolean

Flags: Read / Write

Default value: FALSE

### The `“length”` property

      “length”                   gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“relative”` property

      “relative”                 gboolean

Flags: Read / Write

Default value: FALSE

### The `“style”` property

      “style”                    gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“width”` property

      “width”                    gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0